Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Functions | Variables
preference_utils.h File Reference

Go to the source code of this file.

## Functions
void | prefs_to_capture_opts (void)
void | prefs_main_write (void)
unsigned int | prefs_store_ext (const char *module, const char *key, const char *value)
gboolean | prefs_store_ext_multiple (const char *module, GHashTable *pref_values)
gint | column_prefs_add_custom (gint fmt, const gchar *title, const gchar *custom_field, gint custom_occurrence)
void | column_prefs_remove_link (GList *col_link)
void | column_prefs_remove_nth (gint col)

## Variables
gboolean | auto_scroll_live

## Detailed Description

Preference utility routines.

## Function Documentation

gint column_prefs_add_custom | ( | gint | fmt,
|  | const gchar * | title,
|  | const gchar * | custom_field,
|  | gint | custom_occurrence
| ) |  |

Add a custom column.

Parameters

  fmt | column format
  title | column title
  custom_field | column custom field
  custom_occurrence | custom occurrence

Returns
  The index of the inserted column

void column_prefs_remove_link | ( | GList * | col_link | ) |

Remove a column.

Parameters

  col_link | Column list entry

void column_prefs_remove_nth | ( | gint | col | ) |

Remove a column.

Parameters

  col | Column number

void prefs_main_write | ( | void |  | ) |

Save all preferences

unsigned int prefs_store_ext | ( | const char * | module,
|  | const char * | key,
|  | const char * | value
| ) |  |

Convenient function for plugin_if

Note: The preferences must exist, it is not possible to create entries using this function

Parameters

  module | the module for the preference
  key | the key for the preference
  value | the new value as string for the preference

Returns
  flags of types of preferences changed, non-zero if the value has been stored successfully

gboolean prefs_store_ext_multiple | ( | const char * | module,
|  | GHashTable * | pref_values
| ) |  |

Convenient function for the writing of multiple preferences, without explicitly having prefs_t variables.

Note: The preferences must exist, it is not possible to create entries using this function

Parameters

  module | the module for the preference
  pref_values | a hash table

Returns
  true if the value has been stored successfully

void prefs_to_capture_opts | ( | void |  | ) |

Fill in capture options with values from the preferences

## Variable Documentation

gboolean auto_scroll_live

If autoscroll in live captures is active or not